package com.ruoyi.system.domain.form;

import lombok.ToString;

import java.io.Serializable;

@ToString
public class MdFormTemplate implements Serializable {
    /**
     * uuid
     */
    private String id;

    /**
     * 模板名称
     */
    private String name;

    /**
     * 背景图片
     */
    private String img;

    /**
     * 状态 1-正常 0-删除
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 所属用户
     */
    private String ownUser;

    /**
     * 所属部门
     */
    private String ownDept;

    /**
     * 表单定义
     */
    private String formConfig;

    /**
     * 分类ID
     */
    private String categoryId;


    private String categoryName;


    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getOwnUser() {
        return ownUser;
    }

    public void setOwnUser(String ownUser) {
        this.ownUser = ownUser;
    }

    public String getOwnDept() {
        return ownDept;
    }

    public void setOwnDept(String ownDept) {
        this.ownDept = ownDept;
    }

    public String getFormConfig() {
        return formConfig;
    }

    public void setFormConfig(String formConfig) {
        this.formConfig = formConfig;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
}